regina::ExampleSnapPea Class Reference
SnapPea Triangulations

This class offers routines for constructing various example SnapPea triangulations. More...

`#include <snappea/examplesnappea.h>`

## Static Public Member Functions

static SnapPeaTriangulation * | gieseking ()
| Returns a new triangulation of the Gieseking manifold. More...
static SnapPeaTriangulation * | figureEight ()
| Returns a new triangulation of the figure eight knot complement. More...
static SnapPeaTriangulation * | trefoil ()
| Returns a new triangulation of the trefoil knot complement. More...
static SnapPeaTriangulation * | whiteheadLink ()
| Returns a new triangulation of the Whitehead link complement. More...
static SnapPeaTriangulation * | x101 ()
| Returns a new triangulation of the census manifold `x101`. More...

## Detailed Description

This class offers routines for constructing various example SnapPea triangulations.

This is analagous to the (much richer) Example<3> class.

Each of the routines in this class constructs a new triangulation from scratch. It is up to the caller of each routine to destroy the triangulation that is returned.

The documentation for this class was generated from the following file:

- snappea/examplesnappea.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).